Change an agent
Rename, change settings (merged into the current ones; null clears one), change channels, or pause / resume with status. Pausing also pauses the automations that work with the agent; resuming does not switch them back on. Needs a workspace owner, admin or editor.
Authorization
api-key Workspace API key (nim_live_...)
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "LinkedIn Ghostwriter — Brewhaus", "templateId": "linkedin-ghostwriter", "templateName": "LinkedIn Ghostwriter", "kind": "content", "status": "ACTIVE", "pausedReason": "CHANNEL_REMOVED", "channelIds": [ "string" ], "preset": "carousel", "config": {}, "setInApp": [ "string" ], "schedule": { "cadence": "weekly", "label": "Once a week" }, "tags": [ "string" ], "createdAt": "string", "updatedAt": "string", "appUrl": "string"}